package jp.mosp.payroll.dto;

public class AttendanceMonthlyDto extends PhPaymentDto {
	
	private static final long	serialVersionUID	= -5358594615327412720L;
	
	// フィールド
//	private String stationName         ;	// 営業所名(所属ではない)
//	private String stationBusinessType ;	// 事業区分(所属)
	private String				businessType;									// 事業区分
	private String				businessName;									// 事業名
	private String				positionName;									// 職位名
	private String				employmentName;								// 雇用名
	private int					mayWorkDays;									// 要出勤日数
	private int					mayWorkHours;									// 要出勤時間
	private int					presenceAtt;									// 出勤日数(AttendanceTypeで判断)
	private int					paidHolidayAtt;								// 有給休暇日数(AttendanceTypeで判断)
	private int					marriage;										// 結婚休暇日数
	private int					maternity;										// 出産立会休暇日数
	private int					maternityTerm;									// 産前産後休暇日数
	private int					family;										// 忌引休暇日数
	private int					workmens;										// 労災休暇日数
	private int					sick;											// 傷病休暇日数
	private int					childCare;										// 育児休暇日数
	private int					other;											// その他
	private int					legal;											// 公休日数
	private int					withoutNotice;									// 無断欠勤日数
	private int					noticeAbsence;									// 欠勤日数
	private int					leaveEraly;									// 早退回数
	private int					working;										// 稼働日数
	private float				workingHours;									// 稼働時間
	private float				effort;										// 成果時間
	private float				overtime;										// 残業時間
																				
	private float				effortUnit;									// 成果、残業単価
	private float				lateNightUnit;									// 深夜単価
	private float				holidayUnit;									// 休日単価
																				
	
	/**
	 * コンストラクタ
	 */
	public AttendanceMonthlyDto() {
		super();
	}
	
	// アクセサメソッド
//	public String getStationName         () { return stationName         ; }	// 営業所名(所属ではない)
//	public String getStationBusinessType () { return stationBusinessType ; }	// 事業区分(所属)
	public String getBusinessType() {
		return businessType;
	} // 事業区分
	
	public String getBusinessName() {
		return businessName;
	} // 事業名
	
	public String getPositionName() {
		return positionName;
	} // 職位名
	
	public String getEmploymentName() {
		return employmentName;
	} // 雇用名
	
	public int getMayWorkDays() {
		return mayWorkDays;
	} // 要出勤日数
	
	public int getMayWorkHours() {
		return mayWorkHours;
	} // 要出勤時間
	
	public int getPresenceAtt() {
		return presenceAtt;
	} // 出勤日数(AttendanceTypeで判断)
	
	public int getPaidHolidayAtt() {
		return paidHolidayAtt;
	} // 有給休暇日数(AttendanceTypeで判断)
	
	public int getMarriage() {
		return marriage;
	} // 結婚休暇日数
	
	public int getMaternity() {
		return maternity;
	} // 出産立会休暇日数
	
	public int getMaternityTerm() {
		return maternityTerm;
	} // 産前産後休暇日数
	
	public int getFamily() {
		return family;
	} // 忌引休暇日数
	
	public int getWorkmens() {
		return workmens;
	} // 労災休暇日数
	
	public int getSick() {
		return sick;
	} // 傷病休暇日数
	
	public int getChildCare() {
		return childCare;
	} // 育児休暇日数
	
	public int getOther() {
		return other;
	} // その他
	
	public int getLegal() {
		return legal;
	} // 公休日数
	
	public int getWithoutNotice() {
		return withoutNotice;
	} // 無断欠勤日数
	
	public int getNoticeAbsence() {
		return noticeAbsence;
	} // 欠勤日数
	
	public int getLeaveEraly() {
		return leaveEraly;
	} // 早退回数
	
	public int getWorking() {
		return working;
	} // 稼働日数
	
	public float getWorkingHours() {
		return workingHours;
	} // 稼働時間
	
	public float getEffort() {
		return effort;
	} // 成果時間
	
	public float getOvertime() {
		return overtime;
	} // 残業時間
	
	public float getEffortUnit() {
		return effortUnit;
	} // 成果、残業単価
	
	public float getLateNightUnit() {
		return lateNightUnit;
	} // 深夜単価
	
	public float getHolidayUnit() {
		return holidayUnit;
	} // 休日単価
	
	public void setBusinessType(String businessType) {
		this.businessType = businessType;
	} // 事業区分
	
	public void setBusinessName(String businessName) {
		this.businessName = businessName;
	} // 事業名
	
	public void setPositionName(String positionName) {
		this.positionName = positionName;
	} // 職位名
	
	public void setEmploymentName(String employmentName) {
		this.employmentName = employmentName;
	} // 雇用名
	
	public void setMayWorkDays(int mayWorkDays) {
		this.mayWorkDays = mayWorkDays;
	} // 要出勤日数
	
	public void setMayWorkHours(int mayWorkHours) {
		this.mayWorkHours = mayWorkHours;
	} // 要出勤時間
	
	public void setPresenceAtt(int presenceAtt) {
		this.presenceAtt = presenceAtt;
	} // 出勤日数(AttendanceTypeで判断)
	
	public void setPaidHolidayAtt(int paidHolidayAtt) {
		this.paidHolidayAtt = paidHolidayAtt;
	} // 有給休暇日数(AttendanceTypeで判断)
	
	public void setMarriage(int marriage) {
		this.marriage = marriage;
	} // 結婚休暇日数
	
	public void setMaternity(int maternity) {
		this.maternity = maternity;
	} // 出産立会休暇日数
	
	public void setMaternityTerm(int maternityTerm) {
		this.maternityTerm = maternityTerm;
	} // 産前産後休暇日数
	
	public void setFamily(int family) {
		this.family = family;
	} // 忌引休暇日数
	
	public void setWorkmens(int workmens) {
		this.workmens = workmens;
	} // 労災休暇日数
	
	public void setSick(int sick) {
		this.sick = sick;
	} // 傷病休暇日数
	
	public void setChildCare(int childCare) {
		this.childCare = childCare;
	} // 育児休暇日数
	
	public void setOther(int other) {
		this.other = other;
	} // その他
	
	public void setLegal(int legal) {
		this.legal = legal;
	} // 公休日数
	
	public void setWithoutNotice(int withoutNotice) {
		this.withoutNotice = withoutNotice;
	} // 無断欠勤日数
	
	public void setNoticeAbsence(int noticeAbsence) {
		this.noticeAbsence = noticeAbsence;
	} // 欠勤日数
	
	public void setLeaveEraly(int leaveEraly) {
		this.leaveEraly = leaveEraly;
	} // 早退回数
	
	public void setWorking(int working) {
		this.working = working;
	} // 稼働日数
	
	public void setWorkingHours(float workingHours) {
		this.workingHours = workingHours;
	} // 稼働時間
	
	public void setEffort(float effort) {
		this.effort = effort;
	} // 成果時間
	
	public void setOvertime(float overtime) {
		this.overtime = overtime;
	} // 残業時間
	
	public void setEffortUnit(float effortUnit) {
		this.effortUnit = effortUnit;
	} // 成果、残業単価
	
	public void setLateNightUnit(float lateNightUnit) {
		this.lateNightUnit = lateNightUnit;
	} // 深夜単価
	
	public void setHolidayUnit(float holidayUnit) {
		this.holidayUnit = holidayUnit;
	} // 休日単価
	
}
